package ru.myitschool.work.domain;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.Status;

public class CreateHistoryUseCase {
    private final UserRepository repo;

    public CreateHistoryUseCase(UserRepository repo) {
        this.repo = repo;
    }

    public void execute(
            @NonNull String username,
            @NonNull String time,
            @NonNull String type,
            @NonNull String code,
            Consumer<Status<Void>> callback
    ) {
        repo.createHistory(username, time, type, code, callback);
    }
}